<?
	/** Obsługa zwijania i rozwijania menu asystenta.
	 *
	 * Jest wykorzystany Atreelink (z sesji).
	 * @author Łukasz Chmielewski
	 * @package XPAsystent
	 */


	/** Odczytywanie zadań dla konkretnej grupy.
	 * @author Łukasz Chmielewski
	 * @version 0.2
	 */
	function readTasks(&$lab, $zaj_cykli, $gr) {
		global $sess;

		//print(" $zaj_cykli, $gr");

		$sess->del($lab['tasks']);

		$lab['tasks'] = array();
		$sel =
			"select XP_ZADANIE.ID ZADANIE, NUMER_ZAD NUMER, NAZWA, NALEZY, XP_ZADANIE_GRUPY.ID ZAD_GR,
			IF (GR_TERMIN1 is NULL, IF (TERMIN2 is NULL,TERMIN1,TERMIN2),GR_TERMIN1) TERM
			from
				XP_ZADANIE, XP_ZADANIE_GRUPY
			where
				NALEZY = 'Y' and
				ID_ZAD = XP_ZADANIE.ID and 
				GR_NR = '" . $gr . "' and ZAJ_CYKLI = '" . $zaj_cykli . "'
				order by NUMER_ZAD";

		$q = new CQuery($sel);
		while ($arr = $q->fetch_array()) {
			$lab['tasks'][$arr['ZADANIE']] =
						array(	"num" => $arr["NUMER"], 
							"ter" => $arr["TERM"], 
							"zgr" => $arr["ZAD_GR"],
							"zad" => $arr["NAZWA"]);
			//printf($arr["NAZWA"]);
		}
	}

	/** Zwijanie i rozwijanie menu.
	 * @author Łukasz Chmielewski
	 * @version 0.1
	 */
	function rolling($gr_nr,$zaj_cyk, $op) {
		global $sess;

		//print(",$gr_nr,$zaj_cyk,$op,");
		$groups = &$_SESSION[$sess->name('Agrupy')];
		if (!isset($groups[$gr_nr][$zaj_cyk]))
			return;
		//print(" tu ");
		if ($op == 'same') {
			if ($groups[$gr_nr][$zaj_cyk]['unrolled'] == false)
				$op = 'roll';
			else
				$op = 'unroll';
		}

		if ($op == 'roll') {
			//print("roll");
			$groups[$gr_nr][$zaj_cyk]['unrolled'] = false;
		}
		else if ($op == 'unroll') {
			//if (!isset($groups[$zaj_cyk]['tasks']))
			readTasks($groups[$gr_nr][$zaj_cyk], $zaj_cyk,$gr_nr);
			$groups[$gr_nr][$zaj_cyk]['unrolled'] = true;
		}
	}

	//print("$A_gr_nr, $A_cyk_id, $A_op<BR>");
	$A_gr_nr = $_GET['A_gr_nr'];
	if (!isset($A_gr_nr)) $A_gr_nr = $_POST['A_gr_nr'];
	$A_cyk_id = $_GET['A_cyk_id'];
	if (!isset($A_cyk_id)) $A_cyk_id = $_POST['A_cyk_id'];
	$A_op = $_GET['A_op'];
	if (!isset($A_op)) $A_op = $_POST['A_op'];
	rolling($A_gr_nr, $A_cyk_id, $A_op);
	if ($yes != 'true')
		$xpage = "Asys_wstep";
?>
